<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Friend List</title>
  </head>
  <body>
    <table>
      <tr>
        <th>Name</th>
        <th>NPM</th>
        <th>DOB</th>
      </tr>

      <!--- TRYING LOOP -->
      {% if friends %}
        {% for friend in friends %}
          <tr>
            <td style="text-align: center;">{{friend.name}}&emsp;</td>
            <td style="text-align: center;">&emsp;{{friend.npm}}&emsp;</td>
            <td style="text-align: center;">&emsp;{{friend.DOB}}</td>
          </tr>
        {% endfor %}
      {% endif %}
    </table>
  </body>
</html>
